Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.browser
Interface ProgressListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  ProgressAdapter

public interface ProgressListener
extends org.eclipse.swt.internal.SWTEventListener

This listener interface may be implemented in order to receive a `ProgressEvent` notification when a `Browser` makes a progress in loading the current URL or when the current URL has been loaded.

Since:
  3.0
See Also:
  `Browser.addProgressListener(ProgressListener)`, `Browser.removeProgressListener(ProgressListener)`, `Browser.getUrl()`

Method Summary
`void` | `changed(ProgressEvent event)` This method is called when a progress is made during the loading of the current location.
`void` | `completed(ProgressEvent event)` This method is called when the current location has been completely loaded.

Method Detail

### changed

    public void changed(ProgressEvent event)

  This method is called when a progress is made during the loading of the current location.

  The following fields in the `ProgressEvent` apply:

  - (in) current the progress for the location currently being loaded
  - (in) total the maximum progress for the location currently being loaded
  - (in) widget the `Browser` whose current URL is being loaded

  Parameters:
    `event` - the `ProgressEvent` related to the loading of the current location of a `Browser`
  Since:
    3.0

### completed

    public void completed(ProgressEvent event)

  This method is called when the current location has been completely loaded.

  The following fields in the `ProgressEvent` apply:

  - (in) widget the `Browser` whose current URL has been loaded

  Parameters:
    `event` - the `ProgressEvent` related to the `Browser` that has loaded its current URL.
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.